#include <stdio.h>
#include <stdlib.h>

FILE *ArqIn, *ArqOut;

char  nome[100][30];
float  alt[100][3];
float media[100];

float Maior;

main()
{
  int i;
  
  ArqIn=fopen("coleta.txt","rt");
  if (ArqIn == NULL)
  {
     printf("\n## Erro na abertura do arquivo de entrada ##\n");
     system("Pause");
     exit(0);  
  }
  
  ArqOut=fopen("resultado.txt","wt");
  if (ArqOut == NULL)
  {
     printf("\n## Erro na abertura do arquivo de saida ##\n");
     system("Pause");
     exit(0);  
  }

  Maior=-1.0;
  i=0;
  while (!feof(ArqIn))
  {
     fscanf(ArqIn,"%s %f %f %f", nome[i],&alt[i][0],
            &alt[i][1],&alt[i][2]);
           
     media[i]= (alt[i][0] + alt[i][1] + alt[i][2])/3.0;
     fprintf(ArqOut,"%s %f\n",nome[i],media[i]);

     if (Maior < alt[i][0]) Maior=alt[i][0];
     if (Maior < alt[i][1]) Maior=alt[i][1];
     if (Maior < alt[i][2]) Maior=alt[i][2];

     i++;
  }
  
  fclose(ArqIn);
  fclose(ArqOut);
  
  printf("\n");
  printf("Quantidade total de arvores com dados coletados: %d\n",i); 
  printf("Altura da maior arvore: %f\n",Maior);

  printf("\n");
  system("Pause");
}

        
